Bug 78479

Summary: [GTK] File system api build is broken
Product: WebKit Reporter: ChangSeok Oh <kevin.cs.oh>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: pnormand, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description ChangSeok Oh 2012-02-13 02:59:22 PST
When I tried to build with the file system api feature, I faced the issue like following.
>make: *** No rule to make target `../../Source/WebCore/fileapi/WebKitFlags.idl', needed by `DerivedSources/WebCore/supplemental_dependency.tmp'.  Stop.
Comment 1 ChangSeok Oh 2012-02-15 10:37:01 PST
Created attachment 127199 [details]
Patch
Comment 2 WebKit Review Bot 2012-02-15 10:39:10 PST
Attachment 127199 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/update-webkit']" exit_code: 2

Updating OpenSource
git.webkit.org[0: 17.254.20.231]: errno=Connection refused
fatal: unable to connect a socket (Connection refused)
Died at Tools/Scripts/update-webkit line 162.


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 ChangSeok Oh 2012-02-15 18:52:27 PST
Created attachment 127294 [details]
Patch
Comment 4 Philippe Normand 2012-02-16 08:27:21 PST
Comment on attachment 127294 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=127294&action=review

Just few nits in the ChangeLog. The patch looks good but it'd be nice to have green style-bot bubble.

> Source/WebCore/ChangeLog:9
> +        AIK, bug58443 also dealt with it, but it looks like the submitted patch

AIK ?

> Source/WebCore/ChangeLog:10
> +        is needed to update. To do that, I think I need to discuss with the original author.

needs to be updated.
Comment 5 ChangSeok Oh 2012-02-16 08:46:43 PST
Created attachment 127388 [details]
Patch
Comment 6 ChangSeok Oh 2012-02-16 08:49:07 PST
Comment on attachment 127294 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=127294&action=review

Thank you! :)

>> Source/WebCore/ChangeLog:9
>> +        AIK, bug58443 also dealt with it, but it looks like the submitted patch
> 
> AIK ?

As I Know... sorry :p

>> Source/WebCore/ChangeLog:10
>> +        is needed to update. To do that, I think I need to discuss with the original author.
> 
> needs to be updated.

Done.
Comment 7 Philippe Normand 2012-02-16 08:56:37 PST
Comment on attachment 127388 [details]
Patch

LGTM, will cq+ after GTK ews gets green!
Comment 8 WebKit Review Bot 2012-02-16 15:33:02 PST
Comment on attachment 127388 [details]
Patch

Clearing flags on attachment: 127388

Committed r107986: <http://trac.webkit.org/changeset/107986>
Comment 9 WebKit Review Bot 2012-02-16 15:33:06 PST
All reviewed patches have been landed.  Closing bug.